To apply changes:

```
kubectl apply -n camtiler \
  -f application.yml \
  -f minio.yml \
  -f mongoexpress.yml \
  -f mongodb-support.yml \
  -f camera-tiler.yml \
  -f logmower.yml \
  -f ingress.yml \
  -f network-policies.yml \
  -f networkpolicy-base.yml
```

To deploy changes:

```
kubectl -n camtiler rollout restart deployment.apps/camtiler
```

To initialize secrets:

```
kubectl create secret generic -n camtiler mongodb-application-readwrite-password --from-literal="password=$(cat /dev/urandom | base64 | head -c 30)"
kubectl create secret generic -n camtiler mongodb-application-readonly-password --from-literal="password=$(cat /dev/urandom | base64 | head -c 30)"
kubectl create secret generic -n camtiler minio-secrets \
    --from-literal="MINIO_ROOT_USER=root" \
    --from-literal="MINIO_ROOT_PASSWORD=$(cat /dev/urandom | base64 | head -c 30)"
kubectl -n camtiler create secret generic camera-secrets \
    --from-literal=username=... \
    --from-literal=password=...
```

To restart all deployments:

```
for j in $(kubectl get deployments -n camtiler -o name); do kubectl rollout restart -n camtiler $j; done
```
