# Local path provisioner

Rancher's `local-path-storage` storage class enables dynamic provisioning of
persistent volumes on Kubernetes worker.

```
curl https://raw.githubusercontent.com/rancher/local-path-provisioner/master/deploy/local-path-storage.yaml -O
kubectl apply -n local-path-storage -f local-path-storage.yaml
```

# Known issues

* No volume stats exported via `kubelet_volume_stats_used_bytes` metric
* No capacity limit imposed. Not possible with ext4 filesystem,
  with [XFS might be possible](https://github.com/rancher/local-path-provisioner/tree/master/examples/quota)
* No easy way to back up the volumes

Possible alternatives:

* Longhorn with no redundancy
* [metal-stack/csi-lvm](https://github.com/metal-stack/csi-lvm)
